Package org.alfresco.rest.requests
Class Processes
Created by Claudia Agache on 10/11/2016.
-
Field Summary
Fields inherited from class org.alfresco.rest.requests.ModelRequest
restWrapper -
Constructor Summary
ConstructorsConstructorDescriptionProcesses(RestWrapper restWrapper) Processes(org.alfresco.utility.model.ProcessModel processModel, RestWrapper restWrapper) -
Method Summary
Modifier and TypeMethodDescriptionaddProcess(String processDefinitionKey, org.alfresco.utility.model.UserModel assignee, boolean sendEmailNotifications, org.alfresco.dataprep.CMISUtil.Priority priority) Starts new process using POST /processesaddProcessItem(org.alfresco.utility.model.FileModel fileModel) Add process item using POST /processes/{processId}/itemsaddProcessItems(org.alfresco.utility.model.FileModel... fileModels) Add process items using POST /processes/{processId}/itemsaddProcessVariable(RestProcessVariableModel variableModel) Add process variable using POST /processes/{processId}/variablesaddProcessVariables(RestProcessVariableModel... processVariablesModel) Add process variables using POST /processes/{processId}/variablesaddProcessWithBody(String postBody) Starts new process with given input body using POST /processesvoidDelete a process using DELETE call on processes/{processId}voiddeleteProcessItem(RestItemModel itemModel) Delete a process item using DELETE call on processes/{processId}/items/{itemId}voiddeleteProcessVariable(RestProcessVariableModel variableModel) Delete a process variable using DELETE call on processes/{processId}/variables/{variableName}Retrieves the process identified by processId using GET /processes/{processId}Retrieve 100 processes (this is the default size when maxItems is not specified) from Alfresco using GET call on "/processes"Retrieve all process items from Alfresco using GET /processes/{processId}/itemsRetrieve all tasks of a specified process from Alfresco using GET /processes/{processId}/tasksRetrieve all process variables from Alfresco using GET /processes/{processId}/variablesupdateProcessVariable(RestProcessVariableModel variableModel) Update/Add process variable using PUT /processes/{processId}/variables/{variableName}Methods inherited from class org.alfresco.rest.requests.ModelRequest
include, includePath, usingParams
-
Constructor Details
-
Processes
-
Processes
-
-
Method Details
-
getProcesses
Retrieve 100 processes (this is the default size when maxItems is not specified) from Alfresco using GET call on "/processes"- Returns:
- Throws:
JsonToModelConversionException
-
getProcessVariables
Retrieve all process variables from Alfresco using GET /processes/{processId}/variables- Returns:
- Throws:
JsonToModelConversionException
-
getProcess
Retrieves the process identified by processId using GET /processes/{processId}- Returns:
-
deleteProcess
public void deleteProcess()Delete a process using DELETE call on processes/{processId} -
addProcess
public RestProcessModel addProcess(String processDefinitionKey, org.alfresco.utility.model.UserModel assignee, boolean sendEmailNotifications, org.alfresco.dataprep.CMISUtil.Priority priority) Starts new process using POST /processes- Parameters:
processDefinitionKey-assignee-sendEmailNotifications-priority-- Returns:
-
addProcessWithBody
Starts new process with given input body using POST /processes- Parameters:
postBody-- Returns:
-
addProcessVariable
Add process variable using POST /processes/{processId}/variables- Parameters:
variableModel-- Returns:
- Throws:
JsonToModelConversionException
-
addProcessVariables
public RestProcessVariableCollection addProcessVariables(RestProcessVariableModel... processVariablesModel) Add process variables using POST /processes/{processId}/variables- Parameters:
processVariablesModel-- Returns:
- Throws:
JsonToModelConversionException
-
getProcessItems
Retrieve all process items from Alfresco using GET /processes/{processId}/items- Returns:
- Throws:
JsonToModelConversionException
-
deleteProcessVariable
Delete a process variable using DELETE call on processes/{processId}/variables/{variableName}- Parameters:
variableModel-
-
updateProcessVariable
Update/Add process variable using PUT /processes/{processId}/variables/{variableName}- Parameters:
variableModel-- Returns:
- Throws:
JsonToModelConversionException
-
getProcessTasks
Retrieve all tasks of a specified process from Alfresco using GET /processes/{processId}/tasks- Returns:
- Throws:
JsonToModelConversionException
-
addProcessItem
Add process item using POST /processes/{processId}/items- Parameters:
fileModel-- Returns:
- Throws:
JsonToModelConversionException
-
addProcessItems
Add process items using POST /processes/{processId}/items- Parameters:
fileModels-- Returns:
- Throws:
JsonToModelConversionException
-
deleteProcessItem
Delete a process item using DELETE call on processes/{processId}/items/{itemId}- Parameters:
itemModel-
-